import QtQuick 2.8

Item {
    id: low
    width: 480
    height: 272

    signal closeClicked

    Item {
        id: bg
        x: 0
        y: 0
        width: 480
        height: 272
        Image {
            id: bgAsset
            x: 0
            y: 0
            source: "assets/bg.png"
        }

        Image {
            id: lowinactiveblur
            x: 0
            y: 0
            source: "assets/lowinactiveblur.png"
        }
    }

    Item {
        id: functionactive
        x: 97
        y: 64
        width: 287
        height: 191

        FunctionButton {
            id: buttonlightactive
            x: 0
            y: 0
            text: "Light"
            active: OvenManager.lightActive
            sourceActive: "assets/buttonlightactive.png"
            source: "assets/buttonlight.png"
            onClicked: OvenManager.lightActive = !OvenManager.lightActive
        }

        FunctionButton {
            id: buttongrillactive
            x: 96
            y: 0
            text: "Grill"
            active: OvenManager.grillActive
            sourceActive: "assets/buttongrillactive.png"
            source: "assets/buttongrill.png"
            onClicked: OvenManager.grillActive = !OvenManager.grillActive
        }

        FunctionButton {
            id: buttonsteamactive
            x: 194
            y: 0
            text: "Steam"
            active: OvenManager.steamActive
            sourceActive: "assets/buttonsteamactive.png"
            source: "assets/buttonsteam.png"
            onClicked: OvenManager.steamActive = !OvenManager.steamActive
        }

        FunctionButton {
            id: buttondefrostactive
            x: 1
            y: 97
            text: "Defrost"
            active: OvenManager.defrostActive
            sourceActive: "assets/buttondefrostactive.png"
            source: "assets/buttondefrost.png"
            onClicked: OvenManager.defrostActive = !OvenManager.defrostActive
        }

        FunctionButton {
            id: buttoncleanactive
            x: 96
            y: 97
            text: "Clean"
            active: OvenManager.cleanActive
            sourceActive: "assets/buttoncleanactive.png"
            source: "assets/buttonclean.png"
            onClicked: OvenManager.cleanActive = !OvenManager.cleanActive
        }

        FunctionButton {
            id: buttonlockactive
            x: 194
            y: 97
            text: "Lock"
            active: OvenManager.lockActive
            sourceActive: "assets/buttonlockactive.png"
            source: "assets/buttonlock.png"
            onClicked: OvenManager.lockActive = !OvenManager.lockActive
        }
    }

    Item {
        id: navigation
        x: 14
        y: 14
        width: 321
        height: 48
        Text {
            id: titlechooseprogram
            x: 129
            y: 9
            width: 193
            height: 30
            color: "#F6F6F6"
            text: "Select function"
            font.pixelSize: 30
            horizontalAlignment: Text.AlignHCenter
            font.family: "Source Sans Pro"
        }

        GenericButton {
            id: navbuttonback
            background: "assets/navbuttonback.png"
            icon: ""
            Connections {
                target: navbuttonback
                onClicked: closeClicked()
            }
        }
    }

    Image {
        id: qt_logo_white_rgb_co
        x: 9
        y: 234
        source: "assets/qtlogowhitergb.png"
    }
}

/*##^##
Designer {
    D{i:0;uuid:"508cbe6a06418db180109885a9822b78"}D{i:2;uuid:"8e163039e782ae22a76331a0dbd4d0f2_asset"}
D{i:3;uuid:"8da370c743c01095816c8a00f8455431"}D{i:1;uuid:"8e163039e782ae22a76331a0dbd4d0f2"}
D{i:4;uuid:"24cbbe951817210353a93ddb196b0aee"}D{i:11;uuid:"ed05c62aee2ad30b6899275395d06f06"}
}
##^##*/

