import QtQuick 2.8

Item {
    id: low
    width: 480
    height: 272

    signal closeClicked

    Item {
        id: bg
        x: 0
        y: 0
        width: 480
        height: 272
        Image {
            id: bgAsset
            x: 0
            y: 0
            source: "assets/bg.png"
        }

        Image {
            id: lowinactiveblur
            x: 0
            y: 0
            source: "assets/lowinactiveblur.png"
        }
    }

    Item {
        id: functionactive
        x: 0
        y: 64
        width: 480
        height: 169

        FunctionButton {
            id: buttonlightactive
            anchors.horizontalCenter: parent.horizontalCenter
            y: 0
            text: "Show FPS"
            anchors.verticalCenter: parent.verticalCenter
            active: OvenManager.performanceEnabled
            sourceActive: "assets/buttonfpsactive.png"
            source: "assets/buttonfps.png"
            onClicked: OvenManager.performanceEnabled = !OvenManager.performanceEnabled
        }
    }

    Item {
        id: navigation
        x: 14
        y: 14
        width: 321
        height: 48
        Text {
            id: titlechooseprogram
            x: 129
            y: 9
            width: 193
            height: 30
            color: "#F6F6F6"
            text: "Settings"
            font.pixelSize: 30
            horizontalAlignment: Text.AlignHCenter
            font.family: "Source Sans Pro"
        }

        GenericButton {
            id: navbuttonback
            background: "assets/navbuttonback.png"
            icon: ""
            Connections {
                target: navbuttonback
                onClicked: closeClicked()
            }
        }
    }

    Image {
        id: qt_logo_white_rgb_co
        x: 9
        y: 234
        source: "assets/qtlogowhitergb.png"
    }
}

/*##^##
Designer {
    D{i:0;uuid:"508cbe6a06418db180109885a9822b78"}
}
##^##*/

